#ifdef GL_ES
precision mediump float;
#endif
varying vec4 v_color;
varying vec2 v_texCoords;
uniform sampler2D u_texture;
uniform sampler2D u_light;
uniform vec2 u_windowsize;

void main()
{
    vec4 lightraw[5];
    lightraw[0] = texture2D(u_light, gl_FragCoord.xy / u_windowsize);
    lightraw[1] = texture2D(u_light, (gl_FragCoord.xy + vec2( 3.0, 3.0)) / u_windowsize);
    lightraw[2] = texture2D(u_light, (gl_FragCoord.xy + vec2( 3.0,-3.0)) / u_windowsize);
    lightraw[3] = texture2D(u_light, (gl_FragCoord.xy + vec2(-3.0,-3.0)) / u_windowsize);
    lightraw[4] = texture2D(u_light, (gl_FragCoord.xy + vec2(-3.0, 3.0)) / u_windowsize);

    vec4 finallightraw = vec4(0.0);
    finallightraw += lightraw[0] * 4./16.;
    finallightraw += lightraw[1] * 3./16.;
    finallightraw += lightraw[2] * 3./16.;
    finallightraw += lightraw[3] * 3./16.;
    finallightraw += lightraw[4] * 3./16.;

    vec4 light = vec4(finallightraw.aaa * 2.0 - 1.0, 1.0);
    gl_FragColor = v_color * texture2D(u_texture, v_texCoords) * light;
}
